## jed 0.99.19

=== doc/tm/Makefile ===
# -*- sh -*-

# To create the SGML files, you will need to install the tmexpand
# package.  See http://www.jedsoft.org/ for more information.
#
TMEXPAND = tmexpand
TM2SGML = $(TMEXPAND)
TM2HLP = $(TMEXPAND) -Mslhlp
DOCBOOK2MAN = docbook2man

FILES = jedfuns libfuns # quickref
SL_LIBDIR = ../../lib

HLP_FILES = jedfuns.hlp libfuns.hlp

TM_FILES =  $(addsuffix .tm,$(FILES))
SGML_FILES =  $(addsuffix .sgml,$(FILES))
HTML_FILES = $(addsuffix .html,$(FILES))
TXT_FILES = $(addsuffix .txt,$(FILES))
TEX_FILES = $(addsuffix .tex,$(FILES))

RM = /bin/rm
MV = /bin/mv
CP = /bin/cp

SGML2LATEX = sgml2latex
SGML2HTML = sgml2html
SGML2TXT = sgml2txt -f
SL2TM = sl2tm

help: jedfuns.hlp libfuns.hlp
all: $(HTML_FILES) $(TEX_FILES)
jedfuns.hlp : rtl/*.tm
	cat rtl/*.tm | $(TM2HLP) - jedfuns.hlp
libfuns.hlp : $(SL_LIBDIR)/*.sl
	$(SL2TM) -sl $(SL_LIBDIR)/*.sl | $(TM2HLP) - libfuns.hlp
jed.1: jed.sgml
	$(DOCBOOK2MAN) jed.sgml
jed.sgml: jed.tm
	$(TM2SGML) -I$(MACRODIR) jed.tm jed.sgml
view: jed.1
	nroff -man jed.1 | most
#
%.tex : %.sgml
	$(SGML2LATEX) $*.sgml
%.html : %.sgml
	$(SGML2HTML) $*.sgml
%.txt : %.sgml
	$(SGML2TXT) $*.sgml
%.sgml : %.tm
	$(TM2SGML) -I$(MACRODIR) $*.tm $@ < /dev/null
install: $(HLP_FILES)
	$(CP) $(HLP_FILES) ../hlp
clean:
	-rm -f *~ *.dvi *.log *.aux *.toc rtl/*.BAK rtl/*~ *.html *.txt *.hlp

=== debian/changelog ===
jed (1:0.99.19-8) unstable; urgency=medium

  * QA source-only upload
  * Update VCS URL
  * Remove deprecated autotools-dev

 -- Wookey <wookey@debian.org>  Fri, 01 Jan 2021 03:58:15 +0000

jed (1:0.99.19-7) unstable; urgency=medium

  * Ensure configure is really regenerated (Closes: #804083) 

 -- Wookey <wookey@debian.org>  Fri, 29 Jul 2016 03:31:09 +0000

jed (1:0.99.19-6) unstable; urgency=medium

  * Actually update config.{sub,guess} (Closes: # 832449)
  * Correct setting of Multiarch dir (Closes: #832450)
  * Solve termcap build issue (Closes: #804083)
  * Remove dh-autoreconf for now as it needs more work

 -- Wookey <wookey@debian.org>  Wed, 27 Jul 2016 04:24:03 +0100

jed (1:0.99.19-5) unstable; urgency=medium

  * Remove compiled .slc files on removal (Closes: #682453)
  * Document -e (mode-setting) option in manpage
  * Update standards-version 
  * Use dpkg-buildflags instead of hardening-wrapper
  * Ensure copyright file is in each binary package
  * Add build-arch/buld-indep targets (closes: #821996)
  * Switch from dpatch to "3.0 (quilt)"
  * Use dh_autoreconf to update configuery (Closes: #804083)
  * Update Uploaders list (Closes: #830131, #830131, #831557)
  * Use triggers for info installing (Closes: #611331)

 -- Wookey <wookey@debian.org>  Mon, 25 Jul 2016 01:51:23 +0100

jed (1:0.99.19-4) unstable; urgency=medium

  * Use 'linux-any' in control files instead of !list (Closes: 634298)

 -- Wookey <wookey@debian.org>  Fri, 31 Oct 2014 23:56:50 +0000

jed (1:0.99.19-3) unstable; urgency=medium

  * Adopt package (Closes: #748256)
  * Tidy up description: (Closes: #582053)

 -- Wookey <wookey@debian.org>  Tue, 10 Jun 2014 03:00:47 +0100

jed (1:0.99.19-2.1) unstable; urgency=low

  * Non-maintainer upload.

  [ peter green ]
  * Make debian/rules pass in the include and library paths of the multi-arched
    slang and make it strip the rpaths out of the built executables. Also add
    appropriate build-dependencies (multiarch slang, dpkg-dev that supports
    multiarch variables and chrpath).
    (Closes: #640319)

 -- gregor herrmann <gregoa@debian.org>  Sat, 24 Dec 2011 14:22:36 +0100

jed (1:0.99.19-2) unstable; urgency=low

  * Dropped install-info from the Depends field of jed and xjed. This
    package is needed by jed-common and pulled in via dh_installinfo.

  * Removed Rafael Laboissiere from the list of uploaders, because he
    left the Debian project. (closes: #571826)

  * Bumped Standards-Version to 3.8.4; no changes needed.

  * Added debian/source/format to the source package. We still use
    format version 1.0, because we use dpatch with the script patch
    config.guess+sub.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Mon, 5 Apr 2010 19:42:14 +0200

jed (1:0.99.19-1) unstable; urgency=low

  * New upstream release

  * Better detection of non-linux architectures. (closes: #559063)

  * Change dependency of jed and xjed on jed-common to exact version
    to satisfy recommendation of Policy 2.5 regarding optional
    packages.

  * Drop conflict with jed-extra <= 2.3.2-3, stable version is newer
    than this.

  * Drop control fields for jed-sl replacement.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Mon, 14 Dec 2009 11:48:59 +0100

jed (1:0.99.19~pre210-1) unstable; urgency=low

  * This packages is based on the svn snapshot from
    https://svn.gna.org/svn/jed/trunk
    + 0.99.19pre207 improved scrolling (Closes: #306223)

  * Removed obsolate patches:
    + fix-multi-key -- applied upstream 0.99.19pre205
    + slang2        -- applied modified upstream 0.99.19pre206

  * Reimported the info files from the upstream source. They were removed
    in 0.99.18.dfsg.1-1, because the files in info/ contained a comment,
    sayin they were generatend and hence not the preferred form for
    modifications. This was a violation of the GPL. Now, upstream removed
    this comment and made the files in info/ the preferred form for
    modifications. For an upcoming upstream release we don't have to
    modify the tarball and don't have to add dfsg to the version.

  * Merged changes from 1:0.99.18+dfsg.1-12 and 1:0.99.18+dfsg.1-13.
    Because development of the 0.99.18 branch ended, 1:0.99.18+dfsg.1-13
    stays unreleased.

  * Dropped the workaround for stale config files left in /etc by dpkg
    (#108587) on an upgrade from older version of jed-common. As the
    version in lenny doesn't contain any of these old config files, we
    don't need this fix anymore. This made also the debconf question
    obsolate.

  * Droppend jed-common's dependency on debconf, because we don't use it
    anymore.

  * Droppend jed-common's dependency on findutils, because the current
    version in stable is recent enough and essential.

  * Removed the jed-common.preinst script (added in 1:0.99.18+dfsg.1-9),
    because an upgrade from the current stable version doesn't need this
    fix anymore.

  * Removed lintian override for spelling-error-in-readme-debian,
    because this error doesn't exist anymore.

  * New dpatch improve-info-files to add INFO-DIR-SECTION and
    INFO-DIR-ENTRY to info pages.

  * Removed debian/info-dir from the source, because it's not used
    anymore due to the changes in this version.

  * Removed get-orig-source. We have a watch file.

  * Bumped Standards-Version to 3.8.3; no changes needed.

  * Removed obsolate files: README.Maintainer, {x,}jed.preinst,
    jed-common.postrm

  * This version should go into unstable, because the code of 0.99.18
    (current unstable) is very old and the development of jed moved on
    in 0.99.19. The code is stable and we should push this code to our
    main users (those of unstable and any time later stable).

 -- Jörg Sommer <joerg@alea.gnuu.de>  Sat, 21 Nov 2009 23:10:27 +0100

jed (1:0.99.19~pre175-1) experimental; urgency=low

  * New upstream release

  * Merged changes from 1:0.99.18+dfsg.1-11.

  * Removed the dpatch for gpm and xft support and use the new configure
    options.



=== debian/control ===
Source: jed
Section: editors
Priority: optional
Maintainer: Wookey <wookey@debian.org>
# Need major rules revamp to move this forward
Standards-Version: 3.9.8
Build-Depends-Indep: hevea
Build-Depends: debhelper, debhelper-compat (=11),
 libxft-dev, libgpm-dev [linux-any], autoconf,
 libxt-dev, pkg-config, slsh,
 libslang2-dev, chrpath
Homepage: http://www.jedsoft.org/jed/
Vcs-Git: https://salsa.debian.org/debian/jed.git
Vcs-Browser: https://salsa.debian.org/debian/jed
Rules-Requires-Root: no

Package: jed
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, jed-common (= ${source:Version})
Suggests: gpm [linux-any]
Provides: info-browser, mail-reader, editor
Description: editor for programmers (textmode version)
 Jed is a small, fast and powerful text editor, yet starts faster than 
 bash.
 .
 Completely customizable with prepared emulation modes for Emacs, CUA
 (similar to KDE/Gnome/OpenOffice), Borland-IDE, Brief, and EDT. Extensible
 in the S-Lang scripting language (with a syntax resembling C).
 .
 Editing functions: folding support, rectangular cut/paste, regular
 expression search/replace, incremental searches, search/replace across
 multiple files, multiple windows, multiple buffers, ...
 .
 Tools: directory editor (dired), info (browse GNU info files), mail,
 rmail, ispell, shell mode, ...
 .
 Special modes (syntax highlight, indention, compile, ...) for
 Basic, C, C++, DCL, FORTRAN, IDL, Java, nroff, Pascal, Perl, PHP, 
 PostScript, Python, sh.  Modes for markup languages include HTML and 
 (La)TeX (with AUC-TeX style editing and BibTeX)
 .
 Additional tools and modes can be found in the jed-extra package.

Package: xjed
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, jed-common (= ${source:Version})
Provides: info-browser, mail-reader, editor
Description: editor for programmers (x11 version)
 Jed is a small, fast (faster startup than xterm with bash),
 and powerful text editor.
 .
 Completely customizable with prepared emulation modes for Emacs, CUA
 (similar to KDE/Gnome/Openoffice), Borland-IDE, Brief, and EDT. Extensible
 in the S-Lang scripting language (with a syntax resembling C).
 .
 Editing functions: folding support; rectangular cut/paste; regular
 expression search/replace; incremental searches; search/replace across
 multiple files; multiple windows; multiple buffers; ...
 .
 Special modes (syntax highlight, indention, compile, ...) for
 Basic, C, C++, DCL, FORTRAN, IDL, Java, NROFF, Pascal,
 Perl, PHP, PostScript, Python, SH.
 Modes for markup languages include HTML and (La)TeX (with AUC-TeX style
 editing and BibTeX)
 .
 Tools: directory editor (dired); info (browse GNU info files); mail;
 rmail; ispell; shell mode; ...
 .
 The native X11 version provides improved mouse support, key configuration
 and X selection interaction. If no display is available, xjed falls back to
 text mode, thus there is no need to install both jed and xjed packages.
 .
 Additional tools and modes can be found in the jed-extra package.

Package: jed-common
Architecture: all
Recommends: jed | xjed
Suggests: info | info-browser
Depends: ${misc:Depends}, slsh
Description: S-Lang runtime files for jed and xjed
 Jed is a small, fast and powerful text editor.
 .
 This package provides the S-Lang runtime files that are needed by both
 jed and xjed.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# Set architecture variables for cross-compiling and for saving the configure
# script from having to guess our platform (since we know it already)
# Also sets multiarch lib vars 
include /usr/share/dpkg/architecture.mk

# Get default flags 
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
# These additional compiler flags should bring up warnings about common
# sources of errors.
export CFLAGS += -Wall -Wformat=2 -Wunused -Wundef -Wextra -Wswitch-enum \
          -Wpointer-arith -Wnested-externs -Wbad-function-cast -Wcast-qual \
	  -Wcast-align -Wshadow

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure_flags =  --prefix=/usr/share --exec-prefix=/usr --with-x \
  --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE)

ifeq ($(DEB_HOST_ARCH_OS),linux)
  configure_flags += --enable-gpm
else
# libgpm is not supported by non-linux architectures: #345268 #95843
  configure_flags += --disable-gpm
endif
ifneq ($(DEB_HOST_ARCH_OS),hurd)
  configure_flags += --enable-xft
else
# The xrender extension is not supported on the hurd: #95843
  configure_flags += --disable-xft
endif


#to successfully build with a multiarch slang we need to explicitly specify
#include and library directories.
configure_flags += --with-slanglib=/usr/lib/$(DEB_HOST_MULTIARCH) --with-slanginc=/usr/include

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

jed=$(CURDIR)/debian/jed
xjed=$(CURDIR)/debian/xjed
jed-common=$(CURDIR)/debian/jed-common

clean:
	dh_testdir
	dh_clean
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f build-stamp
	-test -f configure.backup && mv configure.backup configure
	-rm -r autoconf/autom4te.cache

config.status:
	dh_testdir
	dh_update_autotools_config
	mv configure configure.backup
	(cd autoconf; $(MAKE) ../configure)
	./configure $(configure_flags) || \
	  { rc=$$?; cat config.log; exit $$rc; }

build: build-arch build-indep
build-indep: config.status
build-arch: build-stamp
build-stamp: config.status
	dh_testdir

	#
	# --- MAKE ---
	#
        # These settings of DL_LIB, OTHERLIBS and XRENDERFONTLIBS are to get
        # right of unnecessary dependencies on libraries.
        # http://rerun.lefant.net/checklib/
        #
        # DL_LIB introduces a dependency on libdl that is already solved by
        # libc. OTHERLIBS introduces a dependency on libm that is also solved
        # by libc. XRENDERFONTLIBS fixes a problem with libxft-dev that defines
        # libfontconfig.
        #
        # Upstream refused an attempt to fix these bugs. On other systems these
        # dependencies are needed and the autoconf-make system of jed is to
        # complex to fix it there.
        # http://jupiter.jtan.com/~wingnut/jed-users/msg02560.html
	$(MAKE) DL_LIB="" OTHERLIBS=-lutil XRENDERFONTLIBS=-lXft jed # getmail
	$(MAKE) DL_LIB="" OTHERLIBS=-lutil XRENDERFONTLIBS=-lXft MOUSELIB= xjed

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C src runtests
endif

	#unfortunately passing the multiarch dir for slang results in the
	#upstream build system adding a rpath. Remove this with chrpath
	chrpath -d src/objs/jed
	chrpath -d src/objs/xjed
	touch build-stamp

binary-indep: build-indep
	dh_testdir
	dh_testroot
	# keep dh_install informations (debian/files) and debian/tmp
	dh_prep
	dh_installdirs -i

	$(MAKE) -C src DESTDIR=$(jed-common) JED_MAN_FILES= install_data
	rm -r $(jed-common)/usr/share/share

	#
	# --- JED-COMMON ---
	#
	# fill up /usr/share/doc/jed-common
	dh_installchangelogs -pjed-common changes.txt

	mv $(jed-common)/usr/share/jed/doc/README \
	    $(jed-common)/usr/share/jed/doc/manual \
	    $(jed-common)/usr/share/doc/jed-common
	dh_link -pjed-common usr/share/jed/doc/txt usr/share/doc/jed-common/txt
	dh_installdocs -pjed-common debian/README.Debian \
	    debian/init.d/README.Debian-startup \
	    debian/Debian-Jed-Policy.txt

	dh_installinfo -pjed-common info/jed.*
	cd $(jed-common)/usr/share/info && \
	  for i in 1 2 3; do mv jed.$${i}in jed.info-$$i; done && \
	  sed -i '/jed\..in/s/jed\.\([123]\)in/jed.info-\1/' jed.info

	mv $(jed-common)/usr/share/doc/jed-common/manual \
	    $(jed-common)/usr/share/doc/jed-common/html

	# generate html files from jed.tex
	hevea -fix -o $(jed-common)/usr/share/doc/jed-common/html/jed.hevea \
	    $(jed-common)/usr/share/doc/jed-common/html/jed.tex
	cd $(jed-common)/usr/share/doc/jed-common/html/; hacha jed.hevea
	cd $(jed-common)/usr/share/doc/jed-common/html/; \
	    rm jed.hevea jed.haux jed.htoc jed.tex

	# install some extra docs from the source
	dh_installexamples -pjed-common lib/jed.conf \
	    $(jed-common)/usr/share/jed/lib/jed.rc

	# install *.sl files
	dh_install -pjed-common debian/defaults.sl usr/share/jed/lib/
	rm $(jed-common)/usr/share/jed/lib/jed.rc # it's moved to examples above

	# install compile script to build *.slc files after installation
	dh_install -pjed-common debian/compile usr/share/jed/compile
	mv $(jed-common)/usr/share/jed/compile/compile \
	    $(jed-common)/usr/share/jed/compile/jed-common
	chmod +x $(jed-common)/usr/share/jed/compile/jed-common

	# fill up /etc
	dh_install -pjed-common debian/init.d/*.sl etc/jed.d/
	dh_link -i usr/share/doc/jed-common/README.Debian-startup etc/jed.d/README

	dh_installdebconf -i

	#
	# --- INSTALL-ARCH-INDEP ---
	#
	dh_compress -i --exclude=libfuns.hlp --exclude=jedfuns.hlp

	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build-arch
	dh_testdir
	dh_testroot
	# keep dh_install informations (debian/files) and debian/tmp
	dh_clean -a
	dh_installdirs -a

	#
	# --- JED ---
	#
	dh_install -pjed src/objs/jed usr/bin/
	dh_installman -pjed doc/manual/jed.1
	dh_link -pjed usr/share/doc/jed-common usr/share/doc/jed
	#
	# --- XJED ---
	#
	dh_install -pxjed src/objs/xjed usr/bin/
	dh_installman -pxjed doc/manual/jed.1
	mv $(xjed)/usr/share/man/man1/jed.1 $(xjed)/usr/share/man/man1/xjed.1
	dh_link -pxjed usr/share/doc/jed-common usr/share/doc/xjed

	#
	# --- INSTALL-ARCH-DEP ---
	#
	dh_installmenu -a
	dh_fixperms -a
	dh_strip -a
	dh_compress -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep

.PHONY: build build-arch build-indep clean binary binary-arch binary-indep

=== debian/watch ===
version=3
opts=pasv,uversionmangle=s/-/./ \
  ftp://space.mit.edu/pub/davis/jed/v0.99/ jed-(.*)\.tar\.gz

## jed 0.99.20~pre.158%2Bdfsg

=== debian/watch ===
version=4
opts="uversionmangle=s/-/~pre./,	\
      dversionmangle=s/\+dfsg$//,	\
      repacksuffix=+dfsg"		\
  https://www.jedsoft.org/snapshots/ https://www.jedsoft.org/snapshots/jed-pre(.*).tar.gz

## jed 0.99.20~pre.158+dfsg

=== debian/changelog ===
jed (1:0.99.20~pre.158+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.158+dfsg
  * Drop patches (applied upstream):
    + d/p/check-for-lib-terminfo.patch
    + d/p/whatbuf-documentation.patch
    + d/p/iso2xxx-sl-utf-8.patch
    + d/p/backquote-insert-command.patch
  * Refresh patches for new upstream version
    + d/p/deprecated-autoconf-macros.patch
    + d/p/improve-info-files.patch
    + d/p/jed-manpage.patch
    + d/p/spelling-errors.patch
  * Install upstream desktop files
    + d/desktop/{x,}jed.{desktop,svg}: Drop files
    + d/{x,}jed.install: Adjust installation paths
    + d/s/lintian-overrides: Drop Lintian override

 -- Rafael Laboissière <rafael@debian.org>  Wed, 15 Dec 2021 19:02:59 -0300

jed (1:0.99.20~pre.152+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.152+dfsg
  * d/clean: Remove letf-over directory autoconf/autoconf/

 -- Rafael Laboissière <rafael@debian.org>  Wed, 20 Oct 2021 06:01:21 -0300

jed (1:0.99.20~pre.151+dfsg-3) unstable; urgency=medium

  * Make the backquote key just insert the backquote character
    + d/p/backquote-insert-command.patch: New patch
    + d/README.Debian: Document this change
    (Closes: #765373)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 26 Sep 2021 05:48:11 -0300

jed (1:0.99.20~pre.151+dfsg-2) unstable; urgency=medium

  * Ensure that binary-arch and binary-indep builds work
    + debian/rules: Increase control in -arch and -indep rules
    + d/jed-common.install: Install d/compile manually
    + d/jed.manpages: Install man page from doc/manual directory
    + d/xjed.manpages: Ditto

 -- Rafael Laboissière <rafael@debian.org>  Sat, 25 Sep 2021 09:16:38 -0300

jed (1:0.99.20~pre.151+dfsg-1) unstable; urgency=medium

  [ Rafael Laboissière ]
  * New upstream version 0.99.20~pre.151+dfsg
  * d/copyright: Convert to DEP-5 format
  * Use snapshot upstream releases (Closes: #923692)
  * Drop prebuilt Windows binaries from upstream tarball
    + d/copyright: List the bin/w32/*.exe in Files-Excluded
    + d/watch: Repack the tarball with "+dfsg" suffix in upstream version
  * Use dh sequencer
    + d/rules: Fully revamp the building rules
    + d/clean: New file
    + d/jed-common.docs: New file
    + d/jed-common.examples: New file
    + d/jed-common.info: New file
    + d/jed-common.install: New file
    + d/jed-common.links: New file
    + d/jed.install: New file
    + d/jed.manpages: New file
    + d/xjed.install: New file
    + d/xjed.manpages: New file
    + d/autoreconf.{before,after}: Removed files
    + d/s/options: New file
    + debian/{jed,xjed}.desktop: Moved into debian/desktop/
    + debian/desktop/{jed,xjed}.svg: New icons
  * d/control:
    + Bump Standards-Version to 4.6.0 (no changes needed)
    + Bump Debhelper compatibility level to 13
    + Add myself as an Uploader
  * d/u/metadata: New file
  * Add autopkgtest support
  * Do not install doc/README
  * New patches:
    + d/p/deprecated-autoconf-macros.patch
    + d/p/whatbuf-documentation.patch
    + d/p/iso2xxx-sl-utf-8.patch
    + d/p/fix-spelling-errors.patch
    + d/s/lintian-overrides

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

 -- Rafael Laboissière <rafael@debian.org>  Thu, 23 Sep 2021 01:59:42 -0300

jed (1:0.99.19-8.1) unstable; urgency=medium

  * Non-maintainer upload
  * Use mktemp instead of tempfile in the maintainer scripts
    (Closes: #979458, #979459)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 25 Aug 2021 10:55:14 -0300

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: editors
 Priority: optional
 Maintainer: Wookey <wookey@debian.org>
-# Need major rules revamp to move this forward
-Standards-Version: 3.9.8
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Standards-Version: 4.6.0
 Build-Depends-Indep: hevea
-Build-Depends: debhelper, debhelper-compat (=11),
+Build-Depends: debhelper, debhelper-compat (= 13),
  libxft-dev, libgpm-dev [linux-any], autoconf,
  libxt-dev, pkg-config, slsh,
  libslang2-dev, chrpath
-Homepage: http://www.jedsoft.org/jed/
+Homepage: https://www.jedsoft.org/jed/
 Vcs-Git: https://salsa.debian.org/debian/jed.git
 Vcs-Browser: https://salsa.debian.org/debian/jed
 Rules-Requires-Root: no
@@ -20,7 +20,7 @@
 Suggests: gpm [linux-any]
 Provides: info-browser, mail-reader, editor
 Description: editor for programmers (textmode version)
- Jed is a small, fast and powerful text editor, yet starts faster than 
+ Jed is a small, fast and powerful text editor, yet starts faster than
  bash.
  .
  Completely customizable with prepared emulation modes for Emacs, CUA
@@ -35,8 +35,8 @@
  rmail, ispell, shell mode, ...
  .
  Special modes (syntax highlight, indention, compile, ...) for
- Basic, C, C++, DCL, FORTRAN, IDL, Java, nroff, Pascal, Perl, PHP, 
- PostScript, Python, sh.  Modes for markup languages include HTML and 
+ Basic, C, C++, DCL, FORTRAN, IDL, Java, nroff, Pascal, Perl, PHP,
+ PostScript, Python, sh.  Modes for markup languages include HTML and
  (La)TeX (with AUC-TeX style editing and BibTeX)
  .
  Additional tools and modes can be found in the jed-extra package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# Set architecture variables for cross-compiling and for saving the configure
# script from having to guess our platform (since we know it already)
# Also sets multiarch lib vars
include /usr/share/dpkg/architecture.mk

configure_flags = --prefix=/usr/share		\
                  --exec-prefix=/usr		\
                  --mandir=/usr/share/man	\
                  --with-x			\
                  --host=$(DEB_HOST_GNU_TYPE)

ifeq ($(DEB_HOST_ARCH_OS),linux)
  configure_flags += --enable-gpm
else
# libgpm is not supported by non-linux architectures: #345268 #95843
  configure_flags += --disable-gpm
endif
ifneq ($(DEB_HOST_ARCH_OS),hurd)
  configure_flags += --enable-xft
else
# The xrender extension is not supported on the hurd: #95843
  configure_flags += --disable-xft
endif

#to successfully build with a multiarch slang we need to explicitly specify
#include and library directories.
configure_flags += --with-slanglib=/usr/lib/$(DEB_HOST_MULTIARCH) --with-slanginc=/usr/include

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

debdir = $(CURDIR)/debian
comdir = $(debdir)/jed-common
shrdir = $(comdir)/usr/share
jeddir = $(shrdir)/jed
docdir = $(jeddir)/doc
tmpdir = $(debdir)/tmp
mandir = $(tmpdir)/usr/share/man/man1

export AUTOHEADER = true

%:
	dh $@ --no-parallel

execute_after_dh_autoreconf:
	mv autoconf/configure .

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

override_dh_auto_build-arch:
	dh_auto_build -- jed xjed

override_dh_auto_build-indep:
	mkdir -p html
	cp doc/manual/jed.tex html
	cd html ;					\
	    hevea -fix -o jed.hevea jed.tex ;		\
	    hacha jed.hevea ;				\
	    rm jed.hevea jed.haux jed.htoc jed.tex

override_dh_auto_install:
	# Empty target. The installation is done by the targets
	# override_dh_install-{arch,indep}

override_dh_install-arch:
	$(MAKE) -C src DESTDIR=$(tmpdir) install_bin
	dh_install -a
	# Create the manual page for xjed
	cp doc/manual/jed.1 doc/manual/xjed.1
	# Fix dh_missing
	rm -rf $(tmpdir)/usr/bin/jed-script

override_dh_install-indep:
	$(MAKE) -C src DESTDIR=$(tmpdir) JED_MAN_FILES= install_data
	dh_install -i
	mkdir -p $(jeddir)/compile
	install $(debdir)/compile $(jeddir)/compile/jed-common
	rm -rf $(docdir)/manual

execute_after_dh_installdocs-indep:
	# Fix package-contains-documentation-outside-usr-share-doc
	mv $(docdir)/txt $(shrdir)/doc/jed-common
	rm -f $(jeddir)/lib/colors/README

override_dh_compress:
	dh_compress --exclude=.txt

execute_after_dh_installinfo-indep:
	# Fix info-document-has-wrong-extension
	cd $(shrdir)/info && 						\
            for i in 1 2 3; do mv jed.$${i}in jed.info-$$i; done &&	\
            sed -i '/jed\..in/s/jed\.\([123]\)in/jed.info-\1/' jed.info

execute_after_dh_auto_test-arch:
	$(MAKE) -C src runtests

## jed 0.99.20~pre.169+dfsg

=== debian/changelog ===
jed (1:0.99.20~pre.169+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.169+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Sun, 21 Aug 2022 11:48:47 -0300

jed (1:0.99.20~pre.168+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.168+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Sun, 07 Aug 2022 17:08:25 -0300

jed (1:0.99.20~pre.167+dfsg-2) unstable; urgency=medium

  * Overhaul the mechanism for byte-compilation of *.sl files at install time
    + d/{postinst,prerm,triggers}.in: New template files
    + d/rules: Generate {jed,xjed}.{postinst,prerm,triggers} form the template
      files {postinst,prerm,triggers}.in
    + d/clean: Remove the {jed,xjed}.{postinst,prerm,triggers} files that
      are automatically generated by debian/rules
    + d/control: Drop the relationship "Recommends: jed|xjed" for jed-common
    + d/{jed-common,jed,xjed}.{postinst.prerm}: Drop obsolete files
    + d/NEWS: Document the changes
  * d/jed-common.lintian-overrides: Add override for Lintian warning
    package-contains-documentation-outside-usr-share-doc

 -- Rafael Laboissière <rafael@debian.org>  Sat, 30 Jul 2022 04:35:09 -0300

jed (1:0.99.20~pre.167+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.167+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Sat, 25 Jun 2022 10:45:00 -0300

jed (1:0.99.20~pre.160+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.160+dfsg
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 07 Jun 2022 06:31:37 -0300

jed (1:0.99.20~pre.159+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.159+dfsg
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Wed, 02 Mar 2022 03:43:54 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Wookey <wookey@debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends-Indep: hevea
 Build-Depends: debhelper, debhelper-compat (= 13),
  libxft-dev, libgpm-dev [linux-any], autoconf,
@@ -74,7 +74,6 @@
 
 Package: jed-common
 Architecture: all
-Recommends: jed | xjed
 Suggests: info | info-browser
 Depends: ${misc:Depends}, slsh
 Description: S-Lang runtime files for jed and xjed

=== debian/rules ===
--- 
+++ 
@@ -97,3 +97,16 @@
 
 execute_after_dh_auto_test-arch:
 	$(MAKE) -C src runtests
+
+execute_before_dh_installdeb:
+	for p in jed xjed ; do							\
+	    priority_editor=$$(test $$p = jed && echo 42 || echo 35) ;		\
+	    priority_jed_script=$$(test $$p = jed && echo 50 || echo 40) ;	\
+	    for s in prerm postinst ; do					\
+	        sed "s/#PROG#/$$p/g;						\
+		     s/#PRIORITY-EDITOR#/$$priority_editor/g;			\
+		     s/#PRIORITY-JED-SCRIPT#/$$priority_jed_script/g;"		\
+	            < $(debdir)/$$s.in > $(debdir)/$$p.$$s ;			\
+	    done ;								\
+	    cp $(debdir)/triggers.in $(debdir)/$$p.triggers ;			\
+	done

## jed 0.99.20~pre.178+dfsg

=== debian/changelog ===
jed (1:0.99.20~pre.178+dfsg-6) unstable; urgency=medium

  * d/*.maintscript: Add epoch to the version number in symlink_to_dir setting.
    The version in the {jed,xjed}.maintscript files is bumped to
    1:0.99.20~pre.178+dfsg-6~, such that the cleanup is performed on both
    upgrades from stable to testing (missed cleanup) and from testing to
    unstable (fixed cleanup).
    Thanks to Andreas Beckmann for spotting the problem and suggesting its solution.
    (Closes: #1036096)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 25 May 2023 04:40:36 -0300

jed (1:0.99.20~pre.178+dfsg-5) unstable; urgency=medium

  * Add files d/{jed,xjed}.maintscript.
    These files allow the smooth transition for /usr/share/doc/{jed,xjed},
    which were symlinks before version 0.99.20~pre.151+dfsg-1 and are now
    real directories. (Closes: #1036096)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 16 May 2023 14:19:52 -0300

jed (1:0.99.20~pre.178+dfsg-4) unstable; urgency=medium

  * d/jed-common.preinst: Avoid non-fatal abortion of the script.
    Thanks to Axel Beckert for the fix (Closes: #1035839)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 10 May 2023 01:20:42 -0300

jed (1:0.99.20~pre.178+dfsg-3) unstable; urgency=medium

  * Fix upgrade of jed-common (closes: #1035780)

    The previous version, which tried to fix Bug#1035692, messed up
    with the directory /usr/share/doc/jed-common/txt. This directory
    is not really needed and has been removed, with all filesit
    contained being kept in /usr/share/jed/doc/txt/. This version
    should allow a smooth transition of jed-common from both bullseye
    (version 0.99.19-8) and testing (version 0.99.20~pre.178+dfsg-1)
    into bookworm.

    + d/clean: Restore previous version
    + d/jed-common.links: Reintroduce this file (for symlink etc/jed.d/README)
    + d/jed-common.maintscript: Remove file
    + d/rules: Keep files in /usr/share/jed/doc/txt
    + d/jed-common.preinst: Remove obsolete directory
      /usr/share/doc/jed-common/txt

 -- Rafael Laboissière <rafael@debian.org>  Tue, 09 May 2023 08:42:07 -0300

jed (1:0.99.20~pre.178+dfsg-2) unstable; urgency=medium

  * Avoid installing the *.txt help file over a directory symlink
    (closes: #1035692)
    + d/jed-common.maintscript: Add symlink_to_dir command for the
      directory /usr/share/jed/doc/txt
    + d/jed-common.links: Removed file
    + d/rules: Create file d/jed-common.links by adding individual
      symbolic links /usr/share/jed/doc/txt/*.txt point to the files in
      /usr/share/doc/jed-common/txt/
    + d/clean: Remove the file d/jed-common.links

 -- Rafael Laboissière <rafael@debian.org>  Mon, 08 May 2023 12:19:26 -0300

jed (1:0.99.20~pre.178+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.178+dfsg
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 10 Jan 2023 15:10:00 -0300

jed (1:0.99.20~pre.177+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.177+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Thu, 05 Jan 2023 14:13:21 -0300

jed (1:0.99.20~pre.173+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.173+dfsg
  * d/copyright: Exclude files src/mkfiles/mkmake*.exe
  * d/watch: Generalize dversionmangle for +dfsg[0-9]* tarballs

 -- Rafael Laboissière <rafael@debian.org>  Thu, 29 Dec 2022 13:50:37 -0300

jed (1:0.99.20~pre.172+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.172+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Tue, 20 Dec 2022 18:54:27 -0300

jed (1:0.99.20~pre.170+dfsg-2) unstable; urgency=medium

  * Delete all generated files at install/remove-time
    + d/compile: Drop code for removal of generated files
    + d/postinst.in: Add code for removal of generated files
    + d/NEWS: Document this change

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Dec 2022 09:40:23 -0300

jed (1:0.99.20~pre.170+dfsg-1) unstable; urgency=medium

  [ Rafael Laboissière ]
  * New upstream version 0.99.20~pre.170+dfsg

  [ Debian Janitor ]
  * Apply multi-arch hints. + jed-common: Add Multi-Arch: foreign.

 -- Rafael Laboissière <rafael@debian.org>  Tue, 15 Nov 2022 21:29:01 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Wookey <wookey@debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends-Indep: hevea
 Build-Depends: debhelper, debhelper-compat (= 13),
  libxft-dev, libgpm-dev [linux-any], autoconf,
@@ -76,6 +76,7 @@
 Architecture: all
 Suggests: info | info-browser
 Depends: ${misc:Depends}, slsh
+Multi-Arch: foreign
 Description: S-Lang runtime files for jed and xjed
  Jed is a small, fast and powerful text editor.
  .

## jed 0.99.20~pre.180+dfsg

=== debian/changelog ===
jed (1:0.99.20~pre.180+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Jun 2023 03:57:53 -0300

jed (1:0.99.20~pre.180+dfsg-1) experimental; urgency=medium

  * New upstream version 0.99.20~pre.180+dfsg
  * d/jed-common.lintian-overrides: Add override for Litian warning
    package-contains-documentation-outside-usr-share-doc

 -- Rafael Laboissière <rafael@debian.org>  Mon, 29 May 2023 06:47:01 -0300

jed (1:0.99.20~pre.179+dfsg-1) experimental; urgency=medium

  * New upstream version 0.99.20~pre.179+dfsg
  * Uploaded to experimental, since the bookworm freeze started

 -- Rafael Laboissière <rafael@debian.org>  Wed, 15 Feb 2023 09:04:21 -0300

## jed 0.99.20~pre.181+dfsg

=== debian/changelog ===
jed (1:0.99.20~pre.181+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.181+dfsg
  * d/copyright: Reflect upstream changes
  * d/p/deprecated-autoconf-macros.patch: Fix line numbers in patch
  * d/control: Build-depend on pkgconf, instead of on the deprecated
    pkg-config

 -- Rafael Laboissière <rafael@debian.org>  Wed, 20 Mar 2024 11:07:47 -0300

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,16 @@
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Standards-Version: 4.6.2
 Build-Depends-Indep: hevea
-Build-Depends: debhelper, debhelper-compat (= 13),
- libxft-dev, libgpm-dev [linux-any], autoconf,
- libxt-dev, pkg-config, slsh,
- libslang2-dev, chrpath
+Build-Depends: autoconf,
+               chrpath,
+               debhelper,
+               debhelper-compat (= 13),
+	       libgpm-dev [linux-any],
+               libslang2-dev,
+               libxft-dev,
+               libxt-dev,
+	       pkgconf,
+	       slsh
 Homepage: https://www.jedsoft.org/jed/
 Vcs-Git: https://salsa.debian.org/debian/jed.git
 Vcs-Browser: https://salsa.debian.org/debian/jed

## jed 0.99.20~pre.183+dfsg

=== debian/changelog ===
jed (1:0.99.20~pre.183+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.183+dfsg
  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 20 Sep 2024 13:19:15 -0300

## jed 0.99.20~pre.186+dfsg

=== debian/changelog ===
jed (1:0.99.20~pre.186+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.186+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Wed, 08 Jan 2025 09:58:32 -0300

## jed 0.99.20~pre.189+dfsg

=== doc/tm/Makefile ===
--- 
+++ 
@@ -1,5 +1,3 @@
-# -*- sh -*-
-
 # To create the SGML files, you will need to install the tmexpand
 # package.  See http://www.jedsoft.org/ for more information.
 #

=== debian/changelog ===
jed (1:0.99.20~pre.189+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.189+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Sun, 02 Feb 2025 06:07:25 -0300

jed (1:0.99.20~pre.188+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.188+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Jan 2025 11:56:23 -0300

jed (1:0.99.20~pre.187+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.187+dfsg
  * d/copyright: Update list of Copyright years

 -- Rafael Laboissière <rafael@debian.org>  Sat, 25 Jan 2025 03:48:06 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Wookey <wookey@debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends-Indep: hevea
 Build-Depends: autoconf,
                chrpath,

## jed 0.99.20~pre.193+dfsg

=== debian/changelog ===
jed (1:0.99.20~pre.193+dfsg-1) experimental; urgency=medium

  * New upstream version 0.99.20~pre.193+dfsg
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 May 2025 09:39:44 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Wookey <wookey@debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends-Indep: hevea
 Build-Depends: autoconf,
                chrpath,

## jed 0.99.20~pre.197%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
 Homepage: https://www.jedsoft.org/jed/
 Vcs-Git: https://salsa.debian.org/debian/jed.git
 Vcs-Browser: https://salsa.debian.org/debian/jed
-Rules-Requires-Root: no
 
 Package: jed
 Architecture: any

## jed 0.99.20~pre.197+dfsg

=== debian/changelog ===
jed (1:0.99.20~pre.197+dfsg-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 0.99.20~pre.197+dfsg
  * d/control: Drop “Rules-Requires-Root: no”, which is now the default

 -- Rafael Laboissière <rafael@debian.org>  Sun, 07 Sep 2025 03:24:35 -0300

=== debian/watch ===
version=4
opts="uversionmangle=s/-/~pre./,	\
      dversionmangle=s/\+dfsg[0-9]*$//,	\
      repacksuffix=+dfsg"		\
  https://www.jedsoft.org/snapshots/ https://www.jedsoft.org/snapshots/jed-pre(.*).tar.gz

## jed 0.99.20~pre.198+dfsg

=== autoconf/Makefile ===
../configure: aclocal.m4 configure.ac
	/bin/rm -rf autom4te.cache
	autoconf && mv ./configure ..
update: config.sub config.guess
config.guess: /usr/share/misc/config.guess
	/bin/cp -f /usr/share/misc/config.guess config.guess
config.sub: /usr/share/misc/config.sub
	/bin/cp -f /usr/share/misc/config.sub config.sub

=== debian/changelog ===
jed (1:0.99.20~pre.198+dfsg-2) unstable; urgency=medium

  * d/p/test-expand-trailing-slash-in-home.patch: New patch
  * d/rules: Drop workaround for unusual $HOME value

 -- Rafael Laboissière <rafael@debian.org>  Fri, 14 Nov 2025 13:06:23 -0300

jed (1:0.99.20~pre.198+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.198+dfsg
  * d/watch: Convert to format version 5
  * d/salsa-ci.yml: Add CI pipeline configuration
  * d/rules: Fix reprotest failure due to malfunctioning unit test

 -- Rafael Laboissière <rafael@debian.org>  Thu, 13 Nov 2025 08:21:48 -0300

=== debian/rules ===
--- 
+++ 
@@ -83,7 +83,6 @@
 
 execute_after_dh_installdocs-indep:
 	# Fix package-contains-documentation-outside-usr-share-doc
-	mv $(docdir)/txt $(shrdir)/doc/jed-common
 	rm -f $(jeddir)/lib/colors/README
 
 override_dh_compress:

=== debian/watch ===
Version: 5

Source: https://www.jedsoft.org/snapshots/
Matching-Pattern: https://www.jedsoft.org/snapshots/jed-pre@ANY_VERSION@@ARCHIVE_EXT@
Dversionmangle: s/\+dfsg[0-9]*$//
Repacksuffix: +dfsg
Uversionmangle: s/-/~pre./

## jed 0.99.20~pre.199+dfsg

=== debian/changelog ===
jed (1:0.99.20~pre.199+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.199+dfsg
  * d/p/test-expand-trailing-slash-in-home.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 16 Nov 2025 07:24:32 -0300

## jed 0.99.20~pre.201+dfsg

=== debian/changelog ===
jed (1:0.99.20~pre.201+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.201+dfsg.
    This version fixes a bug of scrolling of the window, when it is updated
    (closes: 1124550).

 -- Rafael Laboissière <rafael@debian.org>  Thu, 15 Jan 2026 16:40:30 +0000
